[arch-commits] Commit in 3ddesktop/repos/extra-i686 (2 files)

Eric Belanger eric at archlinux.org
Sat Aug 16 22:18:26 EDT 2008


    Date: Saturday, August 16, 2008 @ 22:18:26
  Author: eric
Revision: 8980

adding md5sums

Added:
  3ddesktop/repos/extra-i686/3ddesktop-0.2.9-gcc4.patch
Modified:
  3ddesktop/repos/extra-i686/PKGBUILD

----------------------------+
 3ddesktop-0.2.9-gcc4.patch |   13 +++++++++++++
 PKGBUILD                   |    6 ++++--
 2 files changed, 17 insertions(+), 2 deletions(-)

Added: 3ddesktop-0.2.9-gcc4.patch
===================================================================
--- 3ddesktop-0.2.9-gcc4.patch	                        (rev 0)
+++ 3ddesktop-0.2.9-gcc4.patch	2008-08-17 02:18:26 UTC (rev 8980)
@@ -0,0 +1,13 @@
+diff -urNad 3ddesktop-0.2.9/event.hpp /tmp/dpep.QstFBy/3ddesktop-0.2.9/event.hpp
+--- 3ddesktop-0.2.9/event.hpp   2004-12-06 03:57:32.000000000 +0100
++++ /tmp/dpep.QstFBy/3ddesktop-0.2.9/event.hpp  2005-07-06 21:50:00.000000000 +0200
+@@ -74,7 +74,7 @@
+         list<Event *>::iterator k;
+         for (k = events.begin(); k != events.end(); ++k) {
+             Event *e = *k;
+-            printf(":: Event %d  0x%x\n", e->type, (unsigned int)(e->function));
++            printf(":: Event %d  %p\n", e->type, e->function);
+         }
+     }
+
+

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-17 02:16:22 UTC (rev 8979)
+++ PKGBUILD	2008-08-17 02:18:26 UTC (rev 8980)
@@ -6,13 +6,15 @@
 pkgver=0.2.9
 pkgrel=2
 pkgdesc="a 3d virtual desktop switcher (opengl/mesa)"
+arch=(i686 x86_64)
 url="http://desk3d.sourceforge.net"
 depends=('freetype2' 'libxi' 'libxmu' 'imlib2' 'glut')
+source=(http://easynews.dl.sourceforge.net/sourceforge/desk3d/$pkgname-$pkgver.tar.gz 3ddesktop-0.2.9-gcc4.patch)
+md5sums=('da1e8b0d2c210a441676bbf663e694ee' '9aac53edbd737f827651470da4e5a7b2')
 
-source=(http://easynews.dl.sourceforge.net/sourceforge/desk3d/$pkgname-$pkgver.tar.gz)
-
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  patch -Np1 -i ../3ddesktop-0.2.9-gcc4.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc/3ddesktop
   make || return 1
   make prefix=$startdir/pkg/usr sysconfdir=$startdir/pkg/etc/3ddesktop install




More information about the arch-commits mailing list